voice_check(3)

NAME
voice_check

SYNOPSIS
#include <allegro.h>

SAMPLE *voice_check(int voice);

DESCRIPTION
Checks whether a voice is currently allocated. It returns a copy of the sample that the voice is using, or NULL if the voice is inactive (ie. it has been deallocated, or the release_voice() function has been called and the sample has then finished playing).

SEE ALSO
allocate_voice(3), voice_start(3), voice_get_position(3)